Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 02 Jul 2022 05:55:50 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I’m really upset I don’t know what to say actually I made many orders with no issues but from 2 days I made an order the order No. is 8175654591 and I didn’t receive the order till now however I made the order from 3 days and I don’t know how since I have made the order I found lot of what’s app massages from Indian guys includes videos and last one sent me this message  Dear Walaa Abdelhamed, We are unable to find your address. Please call back or share your location on WhatsApp so that we can deliver your order. Team Landmark 

عزيزنا/عزيزتنا Walaa Abdelhamed، لم نتمكن من العثور على عنوانك. يرجى الاتصال بنا أو مشاركة عنوانك عبر الواتس أب حتى نتمكن من إيصال طلبك. فريق لاندمارك  and when I refused to give my address told him how can you don’t have my address it’s in the application and I made many orders before and found their way to my house and if you couldn’t find me why the driver didn’t call me guess what he blocked me this is unprofessional at all and I’m not satisfied and I feel insecure to spread my number to all the Indian guys working as drivers like this please let me know your action https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4556047